From 46c4c954603643ffe2be346a8bfa6f11ce113cfa Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Mon, 15 Jun 2009 11:22:02 +0200
Subject: [PATCH] libtool: Disable java for ARM.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 libtool.spec |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

diff --git a/libtool.spec b/libtool.spec
index a2f414b..a084141 100644
--- a/libtool.spec
+++ b/libtool.spec
@@ -3,7 +3,7 @@
 Summary: The GNU Portable Library Tool
 Name:    libtool
 Version: 2.2.6
-Release: 11%{?dist}
+Release: 11%{?dist}.fa1
 License: GPLv2+ and LGPLv2+ and GFDL
 Group:   Development/Tools
 Source:  http://ftp.gnu.org/gnu/libtool/libtool-%{version}a.tar.gz
@@ -16,7 +16,10 @@ Requires(preun): /sbin/install-info
 BuildRequires: autoconf >= 2.59, automake >= 1.9.2, texinfo
 Requires: autoconf >= 2.58, automake >= 1.4, sed
 # make sure we can configure all supported langs
-BuildRequires: gcc, gcc-c++, libstdc++-devel, gcc-gfortran, gcc-java
+BuildRequires: gcc, gcc-c++, libstdc++-devel, gcc-gfortran
+%ifnarch %{arm}
+BuildRequires: gcc-java
+%endif
 # /usr/bin/libtool includes paths within gcc's versioned directories
 # Libtool must be rebuilt whenever a new upstream gcc is built
 Requires: gcc = %{gcc_version}
@@ -142,6 +145,9 @@ fi
 
 
 %changelog
+* Mon Jun 15 2009 Kedar Sovani <kedars@marvell.com>
+- disable java for ARM.
+
 * Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.6-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
 
-- 
1.5.5.6

